Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83518 - rhpl.translate does not handle ja_JP.eucJP, other non-UTF-8 locales
Summary: rhpl.translate does not handle ja_JP.eucJP, other non-UTF-8 locales
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhpl
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-02-05 04:24 UTC by Matt Wilson
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-28 21:52:32 UTC


Attachments (Terms of Use)

Description Matt Wilson 2003-02-05 04:24:05 UTC
View any snack based text mode config tool in a Japanese login.  It doesn't work.

Comment 1 Matt Wilson 2003-02-05 05:57:15 UTC
probably should file bugs for each package that uses rhpl.translate that does
not do:

from rhpl.translate import _, N_, textdomain_codeset
locale.setlocale(locale.LC_ALL, "")
textdomain_codeset("(package)f", locale.nl_langinfo(locale.CODESET))


Comment 2 Jeremy Katz 2003-02-12 21:26:54 UTC
Fixed the relevant ones (mouse, keyboard, language, and date)

Comment 3 Bill Nottingham 2003-07-28 21:52:32 UTC
Closing some bugs that have been in MODIFIED for a while. Please reopen if the
problem persists.


Note You need to log in before you can comment on or make changes to this bug.